Subject: Re: [PATCH v3 08/11] strbuf: introduce strbuf_strip_file_from_path()

From: Derrick Stolee <[email-masked]>
Date: Wed, 7 Dec 2022 09:44:35 -0500

On 12/6/22 6:37 AM, Ævar Arnfjörð Bjarmason wrote:

> FWIW the "overkill" change on top to do this via callbacks is the
> below. Which I tested just to see how easy it was, and whether it would
> fail your tests (it doesn't).
> 
> -- >8 --
> Subject: [PATCH] strbuf: generalize "{,r,l}trim" to a callback interface

I don't like this approach and think it distracts from the goal
of the series. If you want to update it afterwards, then by all
means go for it.

Thanks,
-Stolee